extends Node

const dnd_button = preload("res://scenes/reactives_drag_and_drop.tscn")
const reagent_dir = "res://assets/reagents/"

func _ready() -> void:
	for file in ResourceLoader.list_directory(reagent_dir):
		var button = dnd_button.instantiate()
		button.reagent = load(reagent_dir+file)
		get_parent().add_element.call_deferred(button)
	
	
